umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Ui_RubyCodeGenerationFormBase Class Reference

`#include <ui_rubycodegenerationformbase.h>`

Inheritance diagram for Ui_RubyCodeGenerationFormBase:

## Public Member Functions
void | setupUi (QWidget *RubyCodeGenerationFormBase)
void | retranslateUi (QWidget *RubyCodeGenerationFormBase)

## Public Attributes
QGridLayout * | gridLayout
QGridLayout * | gridLayout1
QLabel * | ui_textLabelTitle
QGroupBox * | ui_groupBoxDocumentation
QHBoxLayout * | hboxLayout
QLabel * | ui_textLabelStyle
KComboBox * | m_SelectCommentStyle
QGroupBox * | ui_groupBoxAutoGeneratedMethods
QVBoxLayout * | vboxLayout
QGridLayout * | gridLayout2
QCheckBox * | m_generateConstructors
QCheckBox * | m_generateAssocAccessors
QCheckBox * | m_generateAttribAccessors
QGridLayout * | gridLayout3
QLabel * | ui_textLabelAccessorScope
KComboBox * | m_accessorScopeCB
QGridLayout * | gridLayout4
QLabel * | ui_textLabelAssocFieldScope
KComboBox * | m_assocFieldScopeCB

## Member Function Documentation

## ◆ retranslateUi()

void Ui_RubyCodeGenerationFormBase::retranslateUi | ( | QWidget * | RubyCodeGenerationFormBase | ) |
| inline

## ◆ setupUi()

void Ui_RubyCodeGenerationFormBase::setupUi | ( | QWidget * | RubyCodeGenerationFormBase | ) |
| inline

## Member Data Documentation

## ◆ gridLayout

QGridLayout* Ui_RubyCodeGenerationFormBase::gridLayout

## ◆ gridLayout1

QGridLayout* Ui_RubyCodeGenerationFormBase::gridLayout1

## ◆ gridLayout2

QGridLayout* Ui_RubyCodeGenerationFormBase::gridLayout2

## ◆ gridLayout3

QGridLayout* Ui_RubyCodeGenerationFormBase::gridLayout3

## ◆ gridLayout4

QGridLayout* Ui_RubyCodeGenerationFormBase::gridLayout4

## ◆ hboxLayout

QHBoxLayout* Ui_RubyCodeGenerationFormBase::hboxLayout

## ◆ m_accessorScopeCB

KComboBox* Ui_RubyCodeGenerationFormBase::m_accessorScopeCB

## ◆ m_assocFieldScopeCB

KComboBox* Ui_RubyCodeGenerationFormBase::m_assocFieldScopeCB

## ◆ m_generateAssocAccessors

QCheckBox* Ui_RubyCodeGenerationFormBase::m_generateAssocAccessors

## ◆ m_generateAttribAccessors

QCheckBox* Ui_RubyCodeGenerationFormBase::m_generateAttribAccessors

## ◆ m_generateConstructors

QCheckBox* Ui_RubyCodeGenerationFormBase::m_generateConstructors

## ◆ m_SelectCommentStyle

KComboBox* Ui_RubyCodeGenerationFormBase::m_SelectCommentStyle

## ◆ ui_groupBoxAutoGeneratedMethods

QGroupBox* Ui_RubyCodeGenerationFormBase::ui_groupBoxAutoGeneratedMethods

## ◆ ui_groupBoxDocumentation

QGroupBox* Ui_RubyCodeGenerationFormBase::ui_groupBoxDocumentation

## ◆ ui_textLabelAccessorScope

QLabel* Ui_RubyCodeGenerationFormBase::ui_textLabelAccessorScope

## ◆ ui_textLabelAssocFieldScope

QLabel* Ui_RubyCodeGenerationFormBase::ui_textLabelAssocFieldScope

## ◆ ui_textLabelStyle

QLabel* Ui_RubyCodeGenerationFormBase::ui_textLabelStyle

## ◆ ui_textLabelTitle

QLabel* Ui_RubyCodeGenerationFormBase::ui_textLabelTitle

## ◆ vboxLayout

QVBoxLayout* Ui_RubyCodeGenerationFormBase::vboxLayout

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_rubycodegenerationformbase.h